using System.Collections;
using UnityEngine;

[System.Serializable]
public class Road 
{
    public PositionOnTile point1;
    public PositionOnTile point2;

    // public Road(PositionOnTile point1, PositionOnTile point2)
    // {
    //     this.point1 = point1;
    //     this.point2 = point2;
    // }

    public Road(float[] point1, float[] point2)
    {
        this.point1 = new PositionOnTile(point1[0], point1[1]);
        this.point2 = new PositionOnTile(point2[0], point2[1]);
    }
    
    override public string ToString()
    {
        return string.Format("Point1: {0}, Point2: {1}\n", point1, point2);
    } 
}